Subject: Printing from Solaris2

From: [email-masked] (Tom Limoncelli)
Date: 28 Aug 1993 18:26:41 -0400

I have a postscript printer hooked up to a SunOS 4.1.3 server.
I want to print to it from a Solaris 2.2 machine.
When I try to send any data to this printer from the Solaris 2.2
machine, I get this error:

	worf[tal]% head -2 ps
	%!PS-Adobe-1.0
	%%Creator: hog:tal (Tom Limoncelli)
	worf[tal]% lpr -Plw4 ps
	UX:lpr: ERROR: There is no filter to convert the file content.
	       TO FIX: Use the lpstat -p -l command to find a
	               printer that can handle the file type
	               directly, or consult with your system
	               administrator.

Printing works fine from the SunOS server (serves an entire
department).  How can I get Solaris2 to realize that it's
got postscript data and needs to do the (difficult... NOT)
translation from postscript to postscript?

Here are the commands I used to set up this printer.  This is
my best guess at what I'm supposed to do based on what I read
in the TechNotes from Sun:

setenv HOST wrnvps
setenv PRINTER lw4
lpsystem -t bsd $HOST
lpadmin -p $PRINTER -s $HOST
lpadmin -p $PRINTER -T PS -I PS
cd /etc/lp/fd
lpfilter -f download -F dpost.fd
lpfilter -f dpost -F dpost.fd
lpfilter -f postdaisy -F postdaisy.fd
lpfilter -f postdmd -F postdmd.fd
lpfilter -f postio -F postio.fd
lpfilter -f postior -F postior.fd
lpfilter -f postmd -F postmd.fd
lpfilter -f postplot -F postplot.fd
lpfilter -f postprint -F postprint.fd
lpfilter -f postreverse -F postreverse.fd
lpfilter -f posttek -F posttek.fd
reject $PRINTER 
disable $PRINTER
accept $PRINTER
enable $PRINTER

Suggestions?  Any help would be appreciated!

Tom

-- 
Tom Limoncelli -- [email-masked] (work) -- [email-masked] (play)
"Some people run 'biff' to alert them that  | Disclaimer:  I do not
they have new email.  I run '/bin/true'".   | speak for Mentor Graphics.